%define release 22mdk
%define date 2004_09_23

Summary: Linux Hotplug Scripts
Name: hotplug
Version: %{date}
Release: %{release}
Group: System/Configuration/Hardware
License: GPL
Url: http://linux-hotplug.sourceforge.net/
Source0: ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/%name-%version.tar.bz2
Source1: http://www.linuxalpha.compaq.com/pcihpd/files/cpqphpd_gui-0.1.2.tar.bz2
Source2: http://www.linuxalpha.compaq.com/pcihpd/files/hpioctl.tar.bz2
Source3: cpqphpd_ioctl.h
Source4: hotplug.sysconfig

# We don't include initscript, don't reference it in the man page
Patch4: hotplug-2003_05_01-initfile.patch.bz2

# mdkize usb.rc until PCI coldplpug is available
Patch12: hotplug-2004_09_23-mdk_usb_rc.patch.bz2

# conditional cold plug in /etc/init.d/hotplug
Patch14: hotplug-2003_08_05-sysconfig_rc.patch.bz2

# blacklist audio module, use snd-usb-audio instead
Patch15: hotplug-2004_03_29-blacklist-audio.patch.bz2

# don't call stop action
Patch16: hotplug-2004_01_05-shutdown.patch.bz2

# update-usb.usermap script
Patch17: hotplug-2004_03_29-update-usb-usermap.patch.bz2

# fix usb.rc to load on the right class field
Patch18: hotplug-2004_04_01-usb-cold-boot.patch.bz2

# don't use wc
Patch20: hotplug-2004_04_01-wc.patch.bz2

#
# fedora patches (maped from 0xx range to 1xx range):
#

# fix remove events for usb (rh #121511):
Patch108: hotplug-2004_09_23-usb-remove.patch.bz2

# optimize away a call to "env" and one for "uname -r" (kernel 2.6 or newer
# only) for the default case
Patch112: hotplug-2004_04_01-optim.patch.bz2

# do not use readlink
Patch114: hotplug-2004_09_23-no-readlink.patch.bz2

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	gnome-libs-devel
BuildRequires:	texinfo
BuildRequires:	xpm-devel

BuildRoot: %{_tmppath}/%{name}-root
requires(pre):	coreutils
Obsoletes: usbd
Provides: usbd
Requires: usbutils
Requires: ifplugd
Requires: ethtool

%description
This package contains the scripts necessary for hotplug Linux support,
and lets you plug in new devices and use them immediately.
Initially, it includes support for USB and PCI (Cardbus) devices, 
and can automatically configure network interfaces.

%package gtk
Summary: GTK control interface for Hotplug PCI
Group: System/Configuration/Hardware

%description gtk
This is the GTK interface for the Compaq PCI hotplug controller

%prep
%setup -q -a 1 -a 2

%patch4 -p1 -b .initfile
%patch12 -p1 -b .mdk_usb_rc
%patch14 -p1 -b .sysconfig_rc
%patch15 -p1 -b .audio
%patch16 -p1 -b .shutdown
%patch17 -p1 -b .update-usb-usermap
%patch18 -p1 -b .usb-cold-boot
%patch20 -p1 -b .wc
%patch108 -p1 -b .usbremove
%patch112 -p1 -b .optim
%patch114 -p1 -b .no-readlink
%build

##%%make -C fxload/ CFLAGS="%optflags"

pushd cpqphpd_gui
%configure
%make
pushd ../usr/src/hpioctl
cp -fv %{SOURCE3}  .
%make
popd
popd

%install
rm -rf $RPM_BUILD_ROOT

# install the main hotplug script
make prefix=$RPM_BUILD_ROOT install

# hotplug PCI program
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp usr/src/hpioctl/iotest $RPM_BUILD_ROOT/usr/sbin/hotplugctl

# install /etc/sysconfig/hotplug
install -d $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/hotplug

pushd cpqphpd_gui
make DESTDIR=$RPM_BUILD_ROOT install
popd

# move slow agents to fast udev's event handlers:
rm -rf $RPM_BUILD_ROOT/etc/hotplug.d/default/*
rm -rf $RPM_BUILD_ROOT/etc/hotplug/{dasd,firmware,ieee1394,input,net,pci,pnp,scsi,tape,usb}.{agent,rc}
rm -f $RPM_BUILD_ROOT/etc/init.d/hotplug

rm -f $RPM_BUILD_ROOT/etc/hotplug/usb.{dist,hand}map
rmdir $RPM_BUILD_ROOT/etc/hotplug/usb

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
/sbin/*
/usr/sbin/*

%dir /etc/hotplug.d
%dir /etc/hotplug.d/default

%dir /etc/hotplug
%config(noreplace) /etc/hotplug/blacklist
/etc/hotplug/hotplug.functions
%config(noreplace) /etc/sysconfig/hotplug
%ghost /etc/hotplug/usb.usermap
%defattr(0755,root,root)

%dir /var/run/usb
%{_mandir}/*/*
%doc README ChangeLog

%files gtk
%defattr(-,root,root)
/usr/bin/cpqphpgui
/usr/share/pixmaps/cpqphpgui

%changelog
* Wed Sep  7 2005 Olivier Blin <oblin@mandriva.com> 2004_09_23-22mdk
- remove firmware stuff

* Fri Sep  2 2005 Olivier Blin <oblin@mandriva.com> 2004_09_23-21mdk
- remove udev rules (move them to the udev package)

* Fri Sep  2 2005 Olivier Blin <oblin@mandriva.com> 2004_09_23-20mdk
- don't install update-usb.usermap
- don't run update-usb.usermap in %post (Andrey Borzenkov, #18165)

* Fri Sep  2 2005 Olivier Blin <oblin@mandriva.com> 2004_09_23-19mdk
- fix BuildRequires: udev_import_usermap is now in udev-tools

* Fri Aug 26 2005 Olivier Blin <oblin@mandriva.com> 2004_09_23-18mdk
- don't package init script
- don't package unused agents (input, usb) and usermaps

* Thu Aug 25 2005 Olivier Blin <oblin@mandriva.com> 2004_09_23-17mdk
- drop unpackaged scsi.rc (Patch113)
- drop 2.4 compat script for scsi agent, sbp2 and usb-storage (Patch8)
- really apply Patch4, we don't ship the hotplug service
- drop spec relics

* Sat Aug 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 2004_09_23-16mdk
- move several agents to udev (faster boot) - only usb (waiting for blacklist
  support in module-init-tools) & input.agent left (input subsystem needs
  updates on kernel side)

* Sat Aug  6 2005 Olivier Blin <oblin@mandriva.com> 2004_09_23-15mdk
- remove Patch13 (it was already merged and improved in 2004_09_23)

* Fri Aug  5 2005 Olivier Blin <oblin@mandriva.com> 2004_09_23-14mdk
- remove deprecated net.agent (handled by udev)
- remove patches related to net and firmware agents

* Tue Aug 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 2004_09_23-13mdk
- remove deprecated firmware agent (#17178)

* Mon Jun 20 2005 Frederic Lepied <flepied@mandriva.com> 2004_09_23-12mdk
- fixed update mode in %%pre

* Sat Jun 18 2005 Frederic Lepied <flepied@mandriva.com> 2004_09_23-11mdk
- fixed %%pre
- fixed prereq

* Wed May 11 2005 Olivier Blin <oblin@mandriva.com> 2004_09_23-10mdk
- install /lib/hotplug/firmware

* Thu Apr 21 2005 Olivier Blin <oblin@mandriva.com> 2004_09_23-9mdk
- factorize wireless code in net.agent

* Thu Apr 21 2005 Olivier Blin <oblin@mandriva.com> 2004_09_23-8mdk
- create default ifcfg file with ONBOOT=no and MII_NOT_SUPPORTED=yes
  for wireless interfaces

* Fri Apr  8 2005 Frederic Lepied <flepied@mandrakesoft.com> 2004_09_23-7mdk
- do not use readlink
- switched executable to non config files
- provide an scsi.rc

* Thu Mar 31 2005 Olivier Blin <oblin@mandrakesoft.com> 2004_09_23-6mdk
- really enable wireless interfaces (needed for ralink, fix Patch7)

* Thu Mar 10 2005 Olivier Blin <oblin@mandrakesoft.com> 2004_09_23-5mdk
- do not create dhcp config files for non-ethernet interfaces
  but enable these interfaces (useful for ralink wireless interfaces)

* Fri Mar  4 2005 Olivier Blin <oblin@mandrakesoft.com> 2004_09_23-4mdk
- better support for wifi interfaces (ra, wifi, wlan) in net.agent
  (do not fail if ethtool doesn't report they're ethernet interfaces)

* Mon Jan 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2004_09_23-3mdk
- patch 22: handle cards with different drivers but same ids (eg: some sound
  cards on ppc)

* Tue Jan 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2004_09_23-2mdk
- rediff patch 111
- really apply patches 111 and 112
- kill merged patch 107

* Tue Jan 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2004_09_23-1mdk
- new release
- rediff patches 8, 12, 13 and 19
- patch 21: ifrename is in /sbin, not /usr/sbin
- merge in fedora patches:
  o patch 107: load sg modules for appropriate devices
  o patch 108: fix remove events for usb (rh #121511):
  o patch 111: make sure we bring up the right network interface name
  o patch 112: optimize away a call to "env" and one for "uname -r"

* Fri Oct  8 2004 Frederic Lepied <flepied@mandrakesoft.com> 2004_04_01-8mdk
- patch20: don't use wc in usb.rc
- fix update scriptlet (bug #11890)

* Fri Oct 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2004_04_01-7mdk
- patch 15: blacklist snd-usb-audio too

* Tue Sep 14 2004 Frederic Lepied <flepied@mandrakesoft.com> 2004_04_01-6mdk
- lookup firmware in /lib/hotplug to be able to have a separated /usr

* Thu Aug 26 2004 Frederic Lepied <flepied@mandrakesoft.com> 2004_04_01-5mdk
- fix cold boot for usb

* Tue Aug  3 2004 Frederic Lepied <flepied@mandrakesoft.com> 2004_04_01-4mdk
- fix eagle-usb check in hotplug script (Olivier Blin)

* Tue Aug 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2004_04_01-3mdk
- make it rpmbuildupdate aware

* Fri Jul 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 2004_04_01-2mdk
- net.agent: pcmcia cards need now to be configured with ONBOOT=yes and they
will be started by the network service.
- net.agent: do not create an automatic config file for eagle-usb interfaces

* Fri Jul 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 2004_04_01-1mdk
- removed patch10 (merged upstream)
- adapted patch7 (ifup)
- 2004_04_01

* Wed Mar 31 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2004_03_29-1mdk
- 2004_03_29.
- rework patch mdk_usb_rc (patch 12).
- add missing update-usb.usermap script (patch 17).

* Thu Mar 25 2004 Frederic Lepied <flepied@mandrakesoft.com> 2004_01_05-5mdk
- don't call stop action (anthill #415, bugs #9066, #8693)

* Thu Mar 11 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2004_01_05-4mdk
- add audio module in blacklist.

* Thu Feb 26 2004 Nicolas Planel <nplanel@mandrakesoft.com> 2004_01_05-3mdk
- wait scsi type in scsi.agent with timeout (20 sec)

* Wed Feb 18 2004 Frederic Lepied <flepied@mandrakesoft.com> 2004_01_05-2mdk
- drop patch15 (this is done by spec-helper)
- net.agent: support ath and wlan card (patch 7)

* Tue Jan 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2004_01_05-1mdk
- new release

* Fri Jan  2 2004  Olivier Blin <blino@mandrake.org> 2003_08_05-2mdk
- fix broken restart and status in initscript from Patch14
  (do not start hotplug instead), with advice from Michael Scherer
- use gprintf instead of echo in initscript (Patch15)
  (it was already in the binary rpm, but not in the source rpm)

* Mon Nov 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2003_08_05-1mdk
- merge andrey work

* Sat Nov  1 2003 Andrey Borzenkov <arvidjaar@mail.ru> 2003_08_05-0.4bor
- simplify patch12; make it reentrant; ensure usblp is unloaded on 2.6
- remove all calls to `action' - currently it is already run under
  initlog so all escapes get logged that has bad effects when browsing
  log files

* Sat Nov  1 2003 Andrey Borzenkov <arvidjaar@mail.ru> 2003_08_05-0.3bor
- really fix patch 14

* Sat Nov  1 2003 Andrey Borzenkov <arvidjaar@mail.ru> 2003_08_05-0.2bor
- update from CVS
- remove patch3 - integrated upstream
- remove patch5 - different version upstream
- remove patch6 - integrated upstream
- remove patch11 - integrated upstream
- remove patch15 - integrated upstream
- fix patch14
- update patch7 - note that now net.agent exports IN_HOTPLUG for interface
  scripts to use
- disable patch4 - we do include initscripts now
- do not forget to package new agents

* Wed Aug  6 2003 Andrey Borzenkov <arvidjaar@mail.ru> 2003_08_05-0.1bor
- new version
- rediff patch5
- remove patch9 - fixed upstream
- patch15 - make sure hex values in sysfs for USB are interpreted as
  hex and not as decimal

* Sat Aug  2 2003 Andrey Borzenkov <arvidjaar@mail.ru> 2003_05_01-0.4bor
- default USB coldplug to yes, else likely no one would ever test it

* Fri Aug  1 2003 Andrey Borzenkov <arvidjaar@mail.ru> 2003_05_01-0.3bor
- input.agent fixes
- add input.rc
- install /etc/init.d/hotplug, I am going to use it
- source4 - /etc/sysconfig/hotplug, controls which susbsystems are
  initialized by init.d/hotplug
- patch14 - support conditional start of cold plug scripts in init script
  defaulting to off

* Thu Jul 31 2003 Andrey Borzenkov <arvidjaar@mail.ru> 2003_05_01-0.2bor
- patch13 - support USB coldplug on 2.6. Module lister (a.k.a. usbmodules)
  is disabled on 2.6 so it did nothing. Pass sysfs devpath on 2.6 so usb.agent
  can extract needed info; walk /sys/bus/usb instead of /proc/bus/usb

* Thu Jul 31 2003 Andrey Borzenkov <arvidjaar@mail.ru> 2003_05_01-0.1bor
- new version
- rediff patch4
- rediff patch5
- redone patch8 - 2.4 and 2.6 compatibility
- use make install to install hotplug
- disable patch2 - it is likely no more needed
- patch9 - 2.5 -> 2.6 in all places (sans comments)
- disable patch1 - it is removed by patch7 anyway; rediff patch7
- patch10 - fix quoting in hotplug.functions
- patch11 - INPUT susbsytem support (requires updated module-init-tools)
- disable patch0 - we DO want start USB now
- patch12 - mdkize usb.rc

* Thu Mar 06 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2002_04_01-8mdk
- Fix script exec

* Thu Mar 06 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2002_04_01-7mdk
- add scsi.agent (recive scsi event, usefull with usb-storage)
  load sd_mod,st,sr_mod,... automaticaly
- add script in ieee1394/spb2 and usb/usb-storage (load scsimon)

* Tue Feb 18 2003 Frederic Lepied <flepied@mandrakesoft.com> 2002_04_01-6mdk
- net.agent: create a default config file for an ethernet device if it
doesn't exist.

* Wed Feb 12 2003 Frederic Lepied <flepied@mandrakesoft.com> 2002_04_01-5mdk
- use IFPLUGD_ARGS from /etc/sysconfig/network like the network service in
net.agent.

* Sun Feb  9 2003 Frederic Lepied <flepied@mandrakesoft.com> 2002_04_01-4mdk
- corrected net.agent to conform to the network service (bug #1453)

* Tue Jan 21 2003 Frederic Lepied <flepied@mandrakesoft.com> 2002_04_01-3mdk
- use ifplugd in network script

* Tue Aug 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 2002_04_01-2mdk
- use the debian way to update usb.usermap (via update-usb.usermap)

* Tue Aug 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 2002_04_01-1mdk
- 2002_04_01 version

* Wed Mar 20 2002 David BAUDENS <baudens@mandrakesoft.com> 2002_01_14-5mdk
- Clean after build

* Mon Mar 11 2002 Frederic Lepied <flepied@mandrakesoft.com> 2002_01_14-4mdk
- don't call usbmodules in hotplug.funtions for usb
- remove calls to updfstab

* Thu Feb 21 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2002_01_14-3mdk
- Get a file description when invoking ifup in net.agent fix
  removal/insert of pcmcia cards.

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 2002_01_14-2mdk
- BuildRequires

* Wed Jan 16 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2002_01_14-1mdk
- Requires usbutils.
- Redo filelist.
- Add hotplug-gtk package (Compaq Hotplug Graphical viewver).
- Merge RH patches.
- Upgrade to 2002_01_14.

* Mon Sep 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-8mdk
- added ieee1934.agent from cvs (Chmouel)

* Fri Sep 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-7mdk
- storage handling is handled by dynamic now.

* Thu Sep  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-6mdk
- fix for wacom module load

* Sat Sep  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-5mdk
- updated patch1 for wireless devices
- don't install patch backup files

* Thu Aug 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-4mdk
- Run ifdown on interface unregistration (kill stale DHCP clients)
- own /etc/hotplug

* Wed Jul 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-3mdk
- added a call to updfstab when usb-storage is loaded

* Wed Jun 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001_06_12-2mdk
- noreplace /etc/ files.
- Update description.
- ifdown net when unregister net card.

* Tue Jun 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001_06_12-1mdk
- First mandrake release (generated from cvs, spec file inspired from rh).

